Subject: Re: [PATCH v4 1/2] gnu: clojure-tools-deps-alpha: Patch unpackageable

From: Maxime Devos <[email-masked]>
Date: Sun, 17 Apr 2022 09:59:49 +0200

Hi,

While you can choose to not include the library packages that were
eventually unused, you don't have to exclude them just because they are
-- they might be useful to other people or yourself, for non-clojure-
tools things, or for clojure-tools if(when?) Cognitect decides to make
the compiler free software.

Reily Siegel schreef op za 16-04-2022 om 23:59 [+0200]:
> ---
>  gnu/packages/clojure.scm | 15 ++++++++-------
>  1 file changed, 8 insertions(+), 7 deletions(-)
> 

Changelog message is missing, maybe:

* gnu/packages/clojure.scm (clojure-tools-deps-
alpha)[arguments]<#:phases>{remove-s3-transporter}: Remove warning that
is emitted even when S3 is unused.

> diff --git a/gnu/packages/clojure.scm b/gnu/packages/clojure.scm
> index e6eb749501..0d9e984bd6 100644
> --- a/gnu/packages/clojure.scm
> +++ b/gnu/packages/clojure.scm
> @@ -501,11 +501,11 @@ (define-public clojure-tools-deps-alpha
>         #:tests? #f
>         #:phases
>         (modify-phases %standard-phases
> -         ;; FIXME: Currently, the S3 transporter depends on ClojureScript,
> -         ;; which is very difficult to package due to dependencies on Java
> -         ;; libraries with non-standard build systems. Instead of actually
> -         ;; packaging these libraries, we just remove the S3 transporter that
> -         ;; depends on them.
> +         ;; Currently, the S3 transporter depends on com.cognitect.aws/s3,
> +         ;; which is built from Amazon's aws-sdk-js using a closed-source
> +         ;; script. For more information see:
> +         ;; https://issues.guix.gnu.org/53765
> +         ;; https://github.com/cognitect-labs/aws-api/issues/116

Guix (and more generally, GNU) is more a free software thing than an
open source thing, it requires the software it includes to be free
software but it doesn't seem to require it to be open-source (though in
practice they seem to describe the same software ...).

Also still looks like a FIXME to me, personally I'd keep the ‘FIXME:’
prefix.

> ---
> gnu/packages/clojure.scm | 3 ++-
> 1 file changed, 2 insertions(+), 1 deletion(-)

Likewise (about the commit message).  Possible example (from another
package):

* gnu/packages/web.scm (python-feedparser) [propagated-inputs]: Add
python-sgmllib3k.

Otherwise, LGTM, thanks.

Greetings,
Maxime.